# $Revision: 1.11.2.1 $, $Date: 2007/02/28 22:19:09 $
%define	_lang	pl
%define	_reg	PL
%define _lare	%{_lang}-%{_reg}
Summary:	Polish resources for SeaMonkey
Summary(pl):	Polskie pliki jzykowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1.1
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	fd9ab8592ec6d4bdbbbd63e5352567d1
Source1:	http://www.mozilla-enigmail.org/downloads/lang/0.9x/enigmail-%{_lare}-0.9x.xpi
# Source1-md5:	5061fb4a0b321644a1716aea831cf281
Source2:	gen-installed-chrome.sh
URL:		http://www.mozilla.org/projects/seamonkey/
BuildRequires:	unzip
BuildRequires:	util-linux
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
Obsoletes:	mozilla-lang-pl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
Polish resources for SeaMonkey.

%description -l pl
Polskie pliki jzykowe dla SeaMonkeya.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale bin/chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar \
	> lang-%{_lang}-installed-chrome.txt
./gen-installed-chrome.sh locale chrome/enigmail-%{_lare}.jar \
	>> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install bin/chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar $RPM_BUILD_ROOT%{_chromedir}
install chrome/enigmail-%{_lare}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}
cp -r bin/{searchplugins,defaults,dictionaries} $RPM_BUILD_ROOT%{_datadir}/seamonkey
rm $RPM_BUILD_ROOT%{_datadir}/seamonkey/searchplugins/google.*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_reg}.jar
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt
%{_datadir}/seamonkey/searchplugins/*
%{_datadir}/seamonkey/defaults/messenger/%{_reg}
%{_datadir}/seamonkey/defaults/profile/%{_reg}
%{_datadir}/seamonkey/dictionaries/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-pl.spec,v $
Revision 1.11.2.1  2007/02/28 22:19:09  hawk
- updated to 1.1.1

Revision 1.11  2007/01/22 20:42:07  hawk
- updated to 1.1

Revision 1.10  2006/11/10 13:27:52  qboosh
- Obsoletes: mozilla-lang-pl

Revision 1.9  2006/11/10 13:26:34  qboosh
- updated to 1.0.6

Revision 1.8  2006/09/16 21:43:26  hawk
- updated to 1.0.5

Revision 1.7  2006/07/31 14:39:17  sparky
- use macros

Revision 1.6  2006/07/31 10:59:13  dzeus
- up to 1.0.3

Revision 1.5  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.4  2006/04/17 14:38:08  sparky
- added enigmail translation

Revision 1.3  2006/04/16 22:17:37  qboosh
- BR: util-linux (rename command)

Revision 1.2  2006/04/16 22:10:30  sparky
- renamed PL.{aff,dic} to pl-PL.{aff,dic}; now myspell works

Revision 1.1  2006/04/16 20:13:10  sparky
- NEW, builds and works
